package com.goafanti.common.dao;

import com.goafanti.common.model.ExpenseAccountLog;
import com.goafanti.expenseAccount.bo.OutExpenseAccountLog;

import java.util.List;

public interface ExpenseAccountLogMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpenseAccountLog record);

    int insertSelective(ExpenseAccountLog record);

    ExpenseAccountLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpenseAccountLog record);

    int updateByPrimaryKey(ExpenseAccountLog record);

    List<OutExpenseAccountLog> selectByEaid(Integer eaid);


}
